Skip to main content
GET
/
v1
/
swap
/
fungibles
Get fungibles available for bridge.
curl --request GET \
  --url https://api.zerion.io/v1/swap/fungibles/ \
  --header 'Authorization: Basic <encoded-value>'
{
  "links": {
    "self": "https://api.zerion.io/v1/swap/fungibles"
  },
  "data": [
    {
      "type": "fungibles",
      "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6",
      "attributes": {
        "name": "Bankless BED Index",
        "symbol": "BED",
        "flags": {
          "verified": true
        },
        "external_links": [
          {
            "url": "https://www.indexcoop.com",
            "type": "website",
            "name": "Website"
          }
        ],
        "implementations": [
          {
            "chain_id": "ethereum",
            "address": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6",
            "decimals": 18,
            "market_data": {
              "trading_volumes": {
                "volume_1d": 40096375.69294812
              }
            },
            "deployment_date": "2020-09-09T11:11:13Z"
          }
        ],
        "market_data": {
          "price": 106.87952669793131,
          "total_supply": 29905.762448515918,
          "circulating_supply": 29905.762448515918,
          "fully_diluted_valuation": 3196313.736038149,
          "market_cap": 3196313.736038149,
          "changes": {
            "percent_1d": -0.7379066649086338,
            "percent_30d": -2.499465618806962,
            "percent_90d": 11.316340269371775,
            "percent_365d": null
          },
          "trading_volumes": {
            "volume_1d": 40096375.69294812
          }
        },
        "description": "The BED index is meant to track crypto's top 3 investab.",
        "icon": {
          "url": "https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png"
        }
      },
      "relationships": {
        "chart_hour": {
          "links": {
            "related": "https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/hour"
          },
          "data": {
            "type": "fungible_charts",
            "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-hour"
          }
        },
        "chart_day": {
          "links": {
            "related": "https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/day"
          },
          "data": {
            "type": "fungible_charts",
            "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-day"
          }
        },
        "chart_week": {
          "links": {
            "related": "https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/week"
          },
          "data": {
            "type": "fungible_charts",
            "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-week"
          }
        },
        "chart_month": {
          "links": {
            "related": "https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/month"
          },
          "data": {
            "type": "fungible_charts",
            "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-month"
          }
        },
        "chart_year": {
          "links": {
            "related": "https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/year"
          },
          "data": {
            "type": "fungible_charts",
            "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-year"
          }
        },
        "chart_max": {
          "links": {
            "related": "https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/max"
          },
          "data": {
            "type": "fungible_charts",
            "id": "0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-max"
          }
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

input
object
output
object
direction
enum<string>

The direction parameter is a parameter that determines the flow of fungibles involved in the transaction. It can have three possible values: 'input', 'output', or 'both'. The value 'input' indicates that the API endpoint will only return fungibles that the user can send. The value 'output' indicates that the API endpoint will only return fungibles that the user can receive. The value 'both' means that the API endpoint will return fungibles which are 'input' and 'output' at the same time. In other words - intersection for 'input' and output'. If nothing specified then both is used.

Available options:
input,
output,
both

Response

Response for requested list available for bridge fungibles.

data
object[]
required